## NAME

i.rgb.his - Transforms raster maps from RGB (Red-Green-Blue) color space to HIS (Hue-Intensity-Saturation) color space.

## KEYWORDS

imagery, color transformation, RGB, HIS, IHS

## SYNOPSIS

i.rgb.his
i.rgb.his --help
i.rgb.his red=name green=name blue=name hue=name intensity=name saturation=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

red=name [required]
  Name of input raster map (red)
green=name [required]
  Name of input raster map (green)
blue=name [required]
  Name of input raster map (blue)
hue=name [required]
  Name for output raster map (hue)
intensity=name [required]
  Name for output raster map (intensity)
saturation=name [required]
  Name for output raster map (saturation)

## DESCRIPTION

i.rgb.his is an image processing program that processes three input raster map layers as red, green, and blue components and produces three output raster map layers representing the hue, intensity, and saturation of the data. The output raster map layers are created by a standard red-green-blue (RGB) to hue-intensity-saturation (HIS) color transformation. Each output raster map layer is given a linear gray scale color table. The current geographic region definition and mask settings are respected.

## SEE ALSO

i.his.rgb

## AUTHOR

David Satnik, GIS Laboratory, Central Washington University,
with acknowledgements to Ali Vali, Space Research Center, for the core routine.

## SOURCE CODE

Available at: i.rgb.his source code (history)

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2020 GRASS Development Team, GRASS GIS 7.9.dev Reference Manual